/*  g_sysv_shared.h - SystemV IPC SHARED MEMORY TEST [header file]
 *  
 *  (C) Copyright XII 2004 Michal 'GiM' Spadlinski <gim at skrzynka dot pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __G_SYSV_SAHRED
#define __G_SYSV_SHARED

#include <sys/types.h>
#define __USE_POSIX
#define __EXTENSIONS__
#include <signal.h>
#define __USE_SVID
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/wait.h>
#include <unistd.h>
#include <string.h>
#include <sched.h>

#include "g_ipc_wspolne.h"

extern const int long_s;

int prefork_sysv_shared(void);
int child_sysv_shared(int off);
int parent_sysv_shared(int pid);

#endif /* __G_SYSV_SHARED */
